// IMPORT FROM PICCOLOX

package netmatch.piccolox;

import java.awt.geom.Point2D;
import java.io.Serializable;

public abstract class PLocator implements Serializable {
  public PLocator() {
  }

  public Point2D locatePoint(Point2D point2d) {
    if(point2d == null)
      point2d = new java.awt.geom.Point2D.Double();
    point2d.setLocation(locateX(), locateY());
    return point2d;
  }

  public abstract double locateX();

  public abstract double locateY();
}